function [] = KLPhaseDiagram()

% Plots Fig. 2

% Values taken from:
% Charbonneau, P., Gish, C.M., Hoy, R.S., Morse, P.K.,
% Eur. Phys. J. E 44, 101 (2021), 
% https://doi.org/10.1140/epje/s10189-021-00104-y

phif = [NaN 0.7 0.4919 0.3031 0.1942 0.1129 0.0648 0.035 0.02 0.012559167472574] .* (2.^(1:10))./(1:10);
phicp = [NaN 2*sqrt(3)/3*hyperBallVolume(2)/2^2 0.7405 0.6169 0.4653 0.3729 0.2953 0.2537 0.1458 40*hyperBallVolume(10)/2^10] .* 2.^(1:10);

x = linspace(0,1,10000);
figure(1); 
clf;hold all;
plot(x,-x-log(1-exp(-x)),'-b','linewidth',2)
plot(log(phicp)./(1:10),phif,'.-m','markerSize',15)

plot([0 0.624],[0.144 0.144],':','color',0.6*[1 1 1],'linewidth',2)
plot([0 0.278],[1.138 1.138],'-r','linewidth',3)
plot([0.0082 0.0082],[0 4.81],':','color',0.6*[1 1 1],'linewidth',2)
plot([0.278 0.278],[1.138 7],'-r','linewidth',3)
plot([0.278 0.278],[0 1.138],':','color',0.6*[1 1 1],'linewidth',2)
plot([0 0.278],[4.81 4.81],'--k','linewidth',3)

xlabel('$\alpha = \frac{1}{d}\ln\overline{\varphi}_{cp}$','interpreter','latex')
ylabel('$\widehat{\varphi}_f$','interpreter','latex')
ylim([0 7])
xlim([0 0.7])
plotSpecs()
set(gca,'fontsize',18)
addTextToFigure(1,0.169,0.5,'liquid','fontSize',16,'interpreter','latex')
addTextToFigure(1,0.1,0.85,'\begin{tabular}{c} dynamically\\arrested\\liquid \end{tabular}','fontSize',16,'interpreter','latex')
addTextToFigure(1,0.4,0.22,'\begin{tabular}{c} Forbidden\\by KL\end{tabular}','fontSize',14,'interpreter','latex')
addTextToFigure(1,0.22,0.08,'\begin{tabular}{c} Forbidden\\by KL\end{tabular}','fontSize',14,'interpreter','latex')
addTextToFigure(1,0.88,0.26,'$d=3$','fontSize',16,'interpreter','latex')
addTextToFigure(1,0.61,0.24,'$d=10$','fontSize',16,'interpreter','latex')
end