function [] = stillingerDiagram()

% This function creates Fig. 7a

lw = 2;
xoff = 5;

figure(1)
clf; hold all

blueX = [-1 -1 0 0.5 0.5 0 -1];
blueY = [-1/sqrt(3) 1/sqrt(3) (1/sqrt(3)+1/2) ((1/sqrt(3)+1/2)-1/sqrt(3))/2+1/sqrt(3) -((1/sqrt(3)+1/2)-1/sqrt(3))/2-1/sqrt(3) -(1/sqrt(3)+1/2) -1/sqrt(3)];
fill(blueX,blueY,[0.85 0.85 1]);

redX = [xoff xoff xoff+1 xoff+1 xoff];
redY = [-(1/sqrt(3)+1/2) (1/sqrt(3)+1/2) 1/sqrt(3) -1/sqrt(3) -(1/sqrt(3)+1/2)];
fill(redX,redY,[1 0.85 0.85]);

plot([-1 -1],[-1/sqrt(3) 1/sqrt(3)],'-k','linewidth',lw)
plot([-1 0],[-1/sqrt(3) -(1/sqrt(3)+1/2)],'-k','linewidth',lw)
plot([-1 0],[1/sqrt(3) (1/sqrt(3)+1/2)],'-k','linewidth',lw)
plot([1 1],[-1/sqrt(3) 1/sqrt(3)],'-k','linewidth',lw)
plot([1 0],[-1/sqrt(3) -(1/sqrt(3)+1/2)],'-k','linewidth',lw)
plot([1 0],[1/sqrt(3) (1/sqrt(3)+1/2)],'-k','linewidth',lw)
plot([1 2],[1/sqrt(3) 0],':r','linewidth',lw)
plot([1 2],[-1/sqrt(3) 0],':r','linewidth',lw)
% plot([0.5 0.5],[-((1/sqrt(3)+1/2)-1/sqrt(3))/2-1/sqrt(3) ((1/sqrt(3)+1/2)-1/sqrt(3))/2+1/sqrt(3)],':b','linewidth',lw)

plot([-1 -1]+xoff,[-1/sqrt(3) 1/sqrt(3)],'-k','linewidth',lw)
plot([-1 0]+xoff,[-1/sqrt(3) -(1/sqrt(3)+1/2)],'-k','linewidth',lw)
plot([-1 0]+xoff,[1/sqrt(3) (1/sqrt(3)+1/2)],'-k','linewidth',lw)
plot([1 1]+xoff,[-1/sqrt(3) 1/sqrt(3)],'-k','linewidth',lw)
plot([1 0]+xoff,[-1/sqrt(3) -(1/sqrt(3)+1/2)],'-k','linewidth',lw)
plot([1 0]+xoff,[1/sqrt(3) (1/sqrt(3)+1/2)],'-k','linewidth',lw)
plot([xoff-1 xoff-1.5],[1/sqrt(3) 1/(2*sqrt(3))],':b','linewidth',lw)
plot([xoff-1 xoff-1.5],[-1/sqrt(3) -1/(2*sqrt(3))],':b','linewidth',lw)
plot([xoff-1.5 xoff-1.5],[-1/(2*sqrt(3)) 1/(2*sqrt(3))],':b','linewidth',lw)
% plot([xoff xoff],[-(1/sqrt(3)+1/2) (1/sqrt(3)+1/2)],':r','linewidth',lw)
plot(0,0,'.k','markersize',20)
plot(xoff,0,'.k','markersize',20)
plot(xoff-1.5,0.12,'.b','markersize',20)
plot(2,0,'.r','markersize',20)
quiver(xoff-1,0,1,0,'k','linewidth',2,'MaxHeadSize',1.5)

ax = [-2 2+xoff -2 2];
axis(ax)
pbaspect([(ax(2)-ax(1))/(ax(4)-ax(3)) 1 1])

addTextToFigure(1,0.232,0.51,'$\mathbf{y}_1^{(0)}$','fontSize',13,'interpreter','latex')
addTextToFigure(1,0.787,0.51,'$\mathbf{y}_2^{(0)}$','fontSize',13,'interpreter','latex')
addTextToFigure(1,0.124,0.71,'$2/\sqrt{3}$','fontSize',13,'interpreter','latex','rotation',30)
addTextToFigure(1,0.69,0.44,'$\mathbf{w}_{21}$','fontSize',13,'interpreter','latex')
addTextToFigure(1,0.46,0.51,'$\mathbf{y}_1$','fontSize',13,'interpreter','latex','color',[1 0 0])
addTextToFigure(1,0.565,0.54,'$\mathbf{y}_2$','fontSize',13,'interpreter','latex','color',[0 0 1])
axis off

end